#ifndef COMPILE_TEST_H
#define COMPILE_TEST_H

/*!
  \file
  \brief utils/cpp のメソッドがコンパイルできるかのテスト
  
  \author Satofumi KAMIMURA
  
  $Id: CompileTest.h 286 2008-10-20 09:40:22Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>

class CompileTest : public CppUnit::TestFixture {
  CPPUNIT_TEST_SUITE(CompileTest);
  CPPUNIT_TEST(compileTest);
  CPPUNIT_TEST_SUITE_END();

public:
  void compileTest(void);
};

#endif /* !COMPILE_TEST_H */
